/* シフト型画面クリア */
/* 遅いので注意（特殊効果用）*/

shcls(int sx,int sy,int ex,int ey)
/* sx,ex = x座標：テキスト座標 */
/* sy,ey = y座標：グラフィック座標 */
{
int x,y,ssp,adrs,byte;
	ssp=SUPER(0);
	byte=ex-sx+1;
	for (x=0;x<8;x++) {
		adrs=0xe00000+sx+sy*128;
		for (y=sy;y<ey;y+=2) {
			TXSHR(adrs,byte);
			adrs+=128;
			TXSHL(adrs,byte);
			adrs+=128;
		}
	}
	if (ssp>=0) SUPER(ssp);
}

#if 0
main()
{
	shcls(10,0,85,512);
}
#endif
